when isMainModule:
  import tables
  import modules/blog
  import modules/env
  import modules/db

  let settings = {
    "debug": boolEnvOrDefault("DEBUG", false),
    "logging": boolEnvOrDefault("NIMBLOG_LOG", true)
  }.toTable()

  let dbSettings = {
    "path": "blog.db",
    "schema_path": "schema.sql"
  }.toTable()

  if not createDb(dbSettings):
    echo "Failed to prepare database"
    quit(QuitFailure)

  try:
    echo "Starting website"
    runWebsite(settings=settings, dbSettings=dbSettings)
  except:
    echo "Could not run website"
